Skip to main content
GET
Greek flow by expiry

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

ticker
string
required

A single ticker

Example:

"AAPL"

expiry
string
required

A single expiry date in ISO date format.

Example:

"2024-02-02T00:00:00.000Z"

Query Parameters

date
string

A trading date in the format of YYYY-MM-DD. This is optional and by default the last trading date.

Example:

"2024-01-18T00:00:00.000Z"

Response

Greek flow by ticker, minute timestamps, and expiry date.

dir_delta_flow
string

The directional delta flow.

Example:

"-43593.96"

dir_vega_flow
string

The directional vega flow.

Example:

"31243.04"

expiry
string

The contract expiry date in ISO format.

Example:

"2023-12-22T00:00:00.000Z"

otm_dir_delta_flow
string

The directional delta flow of out-of-the-money options.

Example:

"14947.51"

otm_dir_vega_flow
string

The directional vega flow of out-of-the-money options.

Example:

"11421.03"

otm_total_delta_flow
string

The total delta flow of out-of-the-money options.

Example:

"-28564.02"

otm_total_vega_flow
string

The total vega flow of out-of-the-money options.

Example:

"101745.64"

ticker
string

The stock ticker.

Example:

"AAPL"

timestamp
string<date-time>

The (start of minute) timestamp of the data.

Example:

"2024-10-28T18:46:00.000Z"

total_delta_flow
string

The total delta flow.

Example:

"-21257.36"

total_vega_flow
string

The total vega flow.

Example:

"350944.58"

transactions
integer

The amount of transactions.

Example:

1188

volume
integer

The total options volume.

Example:

12348

Last modified on September 29, 2026